Summary:	X Video (Xv) extension library
Summary(pl.UTF-8):	Biblioteka rozszerzenia X Video (Xv)
Name:		xorg-lib-libXv
Version:	1.0.11
Release:	1
License:	MIT
Group:		X11/Libraries
Source0:	https://xorg.freedesktop.org/releases/individual/lib/libXv-%{version}.tar.bz2
# Source0-md5:	210b6ef30dda2256d54763136faa37b9
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	sed >= 4.0
BuildRequires:	xorg-lib-libX11-devel >= 1.6
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
Requires:	xorg-lib-libX11 >= 1.6
Obsoletes:	libXv
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libXv is a library for the X Video (Xv) extension to the X Window
System.

%description -l pl.UTF-8
libXv to biblioteka rozszerzenia X Video (Xv) systemu X Window.

%package devel
Summary:	Header files for libXv library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXv
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libX11-devel >= 1.6
Requires:	xorg-lib-libXext-devel
Requires:	xorg-proto-videoproto-devel
Obsoletes:	libXv-devel

%description devel
libXv is a library for the X Video (Xv) extension to the X Window
System.

This package contains the header files needed to develop programs that
use libXv.

%description devel -l pl.UTF-8
libXv to biblioteka rozszerzenia X Video (Xv) systemu X Window.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXv.

%package static
Summary:	Static libXv library
Summary(pl.UTF-8):	Biblioteka statyczna libXv
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libXv-static

%description static
libXv is a library for the X Video (Xv) extension to the X Window
System.

This package contains the static libXv library.

%description static -l pl.UTF-8
libXv to biblioteka rozszerzenia X Video (Xv) systemu X Window.

Pakiet zawiera statyczną bibliotekę libXv.

%prep
%setup -q -n libXv-%{version}

# support __libmansuffix__ with "x" suffix (per FHS 2.3)
%{__sed} -i -e 's,\.so man__libmansuffix__/,.so man3/,' man/*.man

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/libXv.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXv.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libXv.so
%{_libdir}/libXv.la
%{_includedir}/X11/extensions/Xvlib.h
%{_pkgconfigdir}/xv.pc
%{_mandir}/man3/Xv*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libXv.a
%changelog
* Wed Oct 05 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-lib-libXv.git;a=log;h=master

* Wed Oct 05 2016 Jakub Bogusz <qboosh@pld-linux.org> 38682e0
- updated to 1.0.11 (fixes CVE-2016-5407)

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> fa65074
- x32 rebuild
- release 2 (by relup.sh)

* Tue Sep 10 2013 Jakub Bogusz <qboosh@pld-linux.org> 4ad7a4a
- updated to 1.0.10; requires libX11 1.6 now

* Sun Jun 23 2013 Jakub Bogusz <qboosh@pld-linux.org> e258327
- updated to 1.0.9

* Wed Jun 05 2013 Jakub Bogusz <qboosh@pld-linux.org> 8631006
- ensure proper .so man links are created

* Sat Jun 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 6c03295
- up to 1.0.8; fixes CVE-2013-1989, CVE-2013-2066

* Thu Mar 08 2012 Jakub Bogusz <qboosh@pld-linux.org> 624d70e
- updated to 1.0.7

* Sat Oct 30 2010 Jakub Bogusz <qboosh@pld-linux.org> 81381ac
- updated to 1.0.6

* Thu Nov 12 2009 Patryk Zawadzki <patrys@room-303.com> 92fe141
- rebuild
- rel 2

* Sun Oct 04 2009 Jakub Bogusz <qboosh@pld-linux.org> 7fe02a2
- updated util-macros version
- added README to docs, longer descs

* Sat Oct 03 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> f4821d5
- up to 1.0.5

* Wed Nov 05 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 6e09791
- release 2

* Thu Mar 20 2008 Jakub Bogusz <qboosh@pld-linux.org> c7f9169
- ghost soname symlink
- added AUTHORS to doc

* Tue Mar 18 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> d2c51af
- up 1.0.4

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 59e31ac
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 516dea6
- converted to UTF-8

* Sat Dec 16 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 8e0f35e
- up to 1.0.3

* Fri Nov 24 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 763a349
- rebuild

* Tue Nov 21 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 7883c4f
- rebuild

* Tue Sep 26 2006 Jakub Bogusz <qboosh@pld-linux.org> 7cda305
- BR: util-macros >= 1.1.0

